Get Overview
curl --request GET \
--url https://api.embedads.com/advertisers/{advertiserID}/billing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.embedads.com/advertisers/{advertiserID}/billing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.embedads.com/advertisers/{advertiserID}/billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.embedads.com/advertisers/{advertiserID}/billing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.embedads.com/advertisers/{advertiserID}/billing"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.embedads.com/advertisers/{advertiserID}/billing")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.embedads.com/advertisers/{advertiserID}/billing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"spent": 0,
"paid": 0,
"remaining": 0
}
{
"error": "Internal Server Error"
}
Advertiser Billing
Get Overview
Information about the Advertiser’s ad spend funds. This is visible on the Advertiser’s Billing page in the admin portal.
GET
/
advertisers
/
{advertiserID}
/
billing
Get Overview
curl --request GET \
--url https://api.embedads.com/advertisers/{advertiserID}/billing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.embedads.com/advertisers/{advertiserID}/billing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.embedads.com/advertisers/{advertiserID}/billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.embedads.com/advertisers/{advertiserID}/billing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.embedads.com/advertisers/{advertiserID}/billing"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.embedads.com/advertisers/{advertiserID}/billing")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.embedads.com/advertisers/{advertiserID}/billing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"spent": 0,
"paid": 0,
"remaining": 0
}
{
"error": "Internal Server Error"
}
Path Parameters
string
required
The ID of the advertiser.
Response
These values are estimated and typically update hourly.
number
The amount of credit spent by the advertiser.
number
The amount paid by the advertiser, as reported by you.
number
The amount of credit remaining for the advertiser.
{
"spent": 0,
"paid": 0,
"remaining": 0
}
{
"error": "Internal Server Error"
}